DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTIonControlPointSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTIonControlPointSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getBeamLimitingDeviceAngle (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceAngle (300a,0120) More...
OFCondition | getBeamLimitingDeviceAngle (Float64 &value, const unsigned long pos=0) const
| get BeamLimitingDeviceAngle (300a,0120) More...
OFCondition | getBeamLimitingDeviceRotationDirection (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceRotationDirection (300a,0121) More...
OFCondition | getChairHeadFramePosition (OFString &value, const signed long pos=0) const
| get ChairHeadFramePosition (300a,0151) More...
OFCondition | getChairHeadFramePosition (Float64 &value, const unsigned long pos=0) const
| get ChairHeadFramePosition (300a,0151) More...
OFCondition | getControlPointIndex (OFString &value, const signed long pos=0) const
| get ControlPointIndex (300a,0112) More...
OFCondition | getControlPointIndex (Sint32 &value, const unsigned long pos=0) const
| get ControlPointIndex (300a,0112) More...
OFCondition | getCumulativeMetersetWeight (OFString &value, const signed long pos=0) const
| get CumulativeMetersetWeight (300a,0134) More...
OFCondition | getCumulativeMetersetWeight (Float64 &value, const unsigned long pos=0) const
| get CumulativeMetersetWeight (300a,0134) More...
OFCondition | getExternalContourEntryPoint (Float32 &value, const unsigned long pos=0) const
| get ExternalContourEntryPoint (300a,0133) More...
OFCondition | getGantryAngle (OFString &value, const signed long pos=0) const
| get GantryAngle (300a,011e) More...
OFCondition | getGantryAngle (Float64 &value, const unsigned long pos=0) const
| get GantryAngle (300a,011e) More...
OFCondition | getGantryPitchAngle (Float32 &value, const unsigned long pos=0) const
| get GantryPitchAngle (300a,014a) More...
OFCondition | getGantryPitchRotationDirection (OFString &value, const signed long pos=0) const
| get GantryPitchRotationDirection (300a,014c) More...
OFCondition | getGantryRotationDirection (OFString &value, const signed long pos=0) const
| get GantryRotationDirection (300a,011f) More...
OFCondition | getHeadFixationAngle (Float32 &value, const unsigned long pos=0) const
| get HeadFixationAngle (300a,0148) More...
OFCondition | getIsocenterPosition (OFString &value, const signed long pos=0) const
| get IsocenterPosition (300a,012c) More...
OFCondition | getIsocenterPosition (Float64 &value, const unsigned long pos=0) const
| get IsocenterPosition (300a,012c) More...
OFCondition | getIsocenterPosition (OFVector< Float64 > &value) const
| get IsocenterPosition (300a,012c) More...
OFCondition | getKVP (OFString &value, const signed long pos=0) const
| get KVP (0018,0060) More...
OFCondition | getKVP (Float64 &value, const unsigned long pos=0) const
| get KVP (0018,0060) More...
OFCondition | getMetersetRate (Float32 &value, const unsigned long pos=0) const
| get MetersetRate (300a,035a) More...
OFCondition | getNominalBeamEnergy (OFString &value, const signed long pos=0) const
| get NominalBeamEnergy (300a,0114) More...
OFCondition | getNominalBeamEnergy (Float64 &value, const unsigned long pos=0) const
| get NominalBeamEnergy (300a,0114) More...
OFCondition | getNumberOfPaintings (OFString &value, const signed long pos=0) const
| get NumberOfPaintings (300a,039a) More...
OFCondition | getNumberOfPaintings (Sint32 &value, const unsigned long pos=0) const
| get NumberOfPaintings (300a,039a) More...
OFCondition | getNumberOfScanSpotPositions (OFString &value, const signed long pos=0) const
| get NumberOfScanSpotPositions (300a,0392) More...
OFCondition | getNumberOfScanSpotPositions (Sint32 &value, const unsigned long pos=0) const
| get NumberOfScanSpotPositions (300a,0392) More...
OFCondition | getPatientSupportAngle (OFString &value, const signed long pos=0) const
| get PatientSupportAngle (300a,0122) More...
OFCondition | getPatientSupportAngle (Float64 &value, const unsigned long pos=0) const
| get PatientSupportAngle (300a,0122) More...
OFCondition | getPatientSupportRotationDirection (OFString &value, const signed long pos=0) const
| get PatientSupportRotationDirection (300a,0123) More...
OFCondition | getScanSpotMetersetWeights (Float32 &value, const unsigned long pos=0) const
| get ScanSpotMetersetWeights (300a,0396) More...
OFCondition | getScanSpotPositionMap (Float32 &value, const unsigned long pos=0) const
| get ScanSpotPositionMap (300a,0394) More...
OFCondition | getScanSpotReorderingAllowed (OFString &value, const signed long pos=0) const
| get ScanSpotReorderingAllowed (300a,0395) More...
OFCondition | getScanSpotTuneID (OFString &value, const signed long pos=0) const
| get ScanSpotTuneID (300a,0390) More...
OFCondition | getScanningSpotSize (Float32 &value, const unsigned long pos=0) const
| get ScanningSpotSize (300a,0398) More...
OFCondition | getSnoutPosition (Float32 &value, const unsigned long pos=0) const
| get SnoutPosition (300a,030d) More...
OFCondition | getSurfaceEntryPoint (OFString &value, const signed long pos=0) const
| get SurfaceEntryPoint (300a,012e) More...
OFCondition | getSurfaceEntryPoint (Float64 &value, const unsigned long pos=0) const
| get SurfaceEntryPoint (300a,012e) More...
OFCondition | getSurfaceEntryPoint (OFVector< Float64 > &value) const
| get SurfaceEntryPoint (300a,012e) More...
OFCondition | getTableTopLateralPosition (OFString &value, const signed long pos=0) const
| get TableTopLateralPosition (300a,012a) More...
OFCondition | getTableTopLateralPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopLateralPosition (300a,012a) More...
OFCondition | getTableTopLongitudinalPosition (OFString &value, const signed long pos=0) const
| get TableTopLongitudinalPosition (300a,0129) More...
OFCondition | getTableTopLongitudinalPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopLongitudinalPosition (300a,0129) More...
OFCondition | getTableTopPitchAngle (Float32 &value, const unsigned long pos=0) const
| get TableTopPitchAngle (300a,0140) More...
OFCondition | getTableTopPitchRotationDirection (OFString &value, const signed long pos=0) const
| get TableTopPitchRotationDirection (300a,0142) More...
OFCondition | getTableTopRollAngle (Float32 &value, const unsigned long pos=0) const
| get TableTopRollAngle (300a,0144) More...
OFCondition | getTableTopRollRotationDirection (OFString &value, const signed long pos=0) const
| get TableTopRollRotationDirection (300a,0146) More...
OFCondition | getTableTopVerticalPosition (OFString &value, const signed long pos=0) const
| get TableTopVerticalPosition (300a,0128) More...
OFCondition | getTableTopVerticalPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopVerticalPosition (300a,0128) More...
DRTBeamLimitingDevicePositionSequence & | getBeamLimitingDevicePositionSequence ()
| get BeamLimitingDevicePositionSequence (300a,011a) More...
const DRTBeamLimitingDevicePositionSequence & | getBeamLimitingDevicePositionSequence () const
| get BeamLimitingDevicePositionSequence (300a,011a) More...
DRTIonWedgePositionSequence & | getIonWedgePositionSequence ()
| get IonWedgePositionSequence (300a,03ac) More...
const DRTIonWedgePositionSequence & | getIonWedgePositionSequence () const
| get IonWedgePositionSequence (300a,03ac) More...
DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsModule & | getLateralSpreadingDeviceSettingsSequence ()
| get LateralSpreadingDeviceSettingsSequence (300a,0370) More...
const DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsModule & | getLateralSpreadingDeviceSettingsSequence () const
| get LateralSpreadingDeviceSettingsSequence (300a,0370) More...
DRTRangeModulatorSettingsSequenceInRTIonBeamsModule & | getRangeModulatorSettingsSequence ()
| get RangeModulatorSettingsSequence (300a,0380) More...
const DRTRangeModulatorSettingsSequenceInRTIonBeamsModule & | getRangeModulatorSettingsSequence () const
| get RangeModulatorSettingsSequence (300a,0380) More...
DRTRangeShifterSettingsSequenceInRTIonBeamsModule & | getRangeShifterSettingsSequence ()
| get RangeShifterSettingsSequence (300a,0360) More...
const DRTRangeShifterSettingsSequenceInRTIonBeamsModule & | getRangeShifterSettingsSequence () const
| get RangeShifterSettingsSequence (300a,0360) More...
DRTReferencedDoseReferenceSequenceInRTIonBeamsModule & | getReferencedDoseReferenceSequence ()
| get ReferencedDoseReferenceSequence (300c,0050) More...
const DRTReferencedDoseReferenceSequenceInRTIonBeamsModule & | getReferencedDoseReferenceSequence () const
| get ReferencedDoseReferenceSequence (300c,0050) More...
OFCondition | setBeamLimitingDeviceAngle (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceAngle (300a,0120) More...
OFCondition | setBeamLimitingDeviceRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceRotationDirection (300a,0121) More...
OFCondition | setChairHeadFramePosition (const OFString &value, const OFBool check=OFTrue)
| set ChairHeadFramePosition (300a,0151) More...
OFCondition | setControlPointIndex (const OFString &value, const OFBool check=OFTrue)
| set ControlPointIndex (300a,0112) More...
OFCondition | setCumulativeMetersetWeight (const OFString &value, const OFBool check=OFTrue)
| set CumulativeMetersetWeight (300a,0134) More...
OFCondition | setExternalContourEntryPoint (const Float32 value, const unsigned long pos=0)
| set ExternalContourEntryPoint (300a,0133) More...
OFCondition | setGantryAngle (const OFString &value, const OFBool check=OFTrue)
| set GantryAngle (300a,011e) More...
OFCondition | setGantryPitchAngle (const Float32 value, const unsigned long pos=0)
| set GantryPitchAngle (300a,014a) More...
OFCondition | setGantryPitchRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set GantryPitchRotationDirection (300a,014c) More...
OFCondition | setGantryRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set GantryRotationDirection (300a,011f) More...
OFCondition | setHeadFixationAngle (const Float32 value, const unsigned long pos=0)
| set HeadFixationAngle (300a,0148) More...
OFCondition | setIsocenterPosition (const OFString &value, const OFBool check=OFTrue)
| set IsocenterPosition (300a,012c) More...
OFCondition | setKVP (const OFString &value, const OFBool check=OFTrue)
| set KVP (0018,0060) More...
OFCondition | setMetersetRate (const Float32 value, const unsigned long pos=0)
| set MetersetRate (300a,035a) More...
OFCondition | setNominalBeamEnergy (const OFString &value, const OFBool check=OFTrue)
| set NominalBeamEnergy (300a,0114) More...
OFCondition | setNumberOfPaintings (const OFString &value, const OFBool check=OFTrue)
| set NumberOfPaintings (300a,039a) More...
OFCondition | setNumberOfScanSpotPositions (const OFString &value, const OFBool check=OFTrue)
| set NumberOfScanSpotPositions (300a,0392) More...
OFCondition | setPatientSupportAngle (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportAngle (300a,0122) More...
OFCondition | setPatientSupportRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportRotationDirection (300a,0123) More...
OFCondition | setScanSpotMetersetWeights (const Float32 value, const unsigned long pos=0)
| set ScanSpotMetersetWeights (300a,0396) More...
OFCondition | setScanSpotPositionMap (const Float32 value, const unsigned long pos=0)
| set ScanSpotPositionMap (300a,0394) More...
OFCondition | setScanSpotReorderingAllowed (const OFString &value, const OFBool check=OFTrue)
| set ScanSpotReorderingAllowed (300a,0395) More...
OFCondition | setScanSpotTuneID (const OFString &value, const OFBool check=OFTrue)
| set ScanSpotTuneID (300a,0390) More...
OFCondition | setScanningSpotSize (const Float32 value, const unsigned long pos=0)
| set ScanningSpotSize (300a,0398) More...
OFCondition | setSnoutPosition (const Float32 value, const unsigned long pos=0)
| set SnoutPosition (300a,030d) More...
OFCondition | setSurfaceEntryPoint (const OFString &value, const OFBool check=OFTrue)
| set SurfaceEntryPoint (300a,012e) More...
OFCondition | setTableTopLateralPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopLateralPosition (300a,012a) More...
OFCondition | setTableTopLongitudinalPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopLongitudinalPosition (300a,0129) More...
OFCondition | setTableTopPitchAngle (const Float32 value, const unsigned long pos=0)
| set TableTopPitchAngle (300a,0140) More...
OFCondition | setTableTopPitchRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set TableTopPitchRotationDirection (300a,0142) More...
OFCondition | setTableTopRollAngle (const Float32 value, const unsigned long pos=0)
| set TableTopRollAngle (300a,0144) More...
OFCondition | setTableTopRollRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set TableTopRollRotationDirection (300a,0146) More...
OFCondition | setTableTopVerticalPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopVerticalPosition (300a,0128) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | BeamLimitingDeviceAngle
| BeamLimitingDeviceAngle (300a,0120) vr=DS, vm=1, type=1C.
DRTBeamLimitingDevicePositionSequence | BeamLimitingDevicePositionSequence
| BeamLimitingDevicePositionSequence (300a,011a) vr=SQ, vm=1, type=1C.
DcmCodeString | BeamLimitingDeviceRotationDirection
| BeamLimitingDeviceRotationDirection (300a,0121) vr=CS, vm=1, type=1C.
DcmDecimalString | ChairHeadFramePosition
| ChairHeadFramePosition (300a,0151) vr=DS, vm=1, type=3.
DcmIntegerString | ControlPointIndex
| ControlPointIndex (300a,0112) vr=IS, vm=1, type=1.
DcmDecimalString | CumulativeMetersetWeight
| CumulativeMetersetWeight (300a,0134) vr=DS, vm=1, type=2.
DcmFloatingPointSingle | ExternalContourEntryPoint
| ExternalContourEntryPoint (300a,0133) vr=FL, vm=3, type=3.
DcmDecimalString | GantryAngle
| GantryAngle (300a,011e) vr=DS, vm=1, type=1C.
DcmFloatingPointSingle | GantryPitchAngle
| GantryPitchAngle (300a,014a) vr=FL, vm=1, type=2C.
DcmCodeString | GantryPitchRotationDirection
| GantryPitchRotationDirection (300a,014c) vr=CS, vm=1, type=2C.
DcmCodeString | GantryRotationDirection
| GantryRotationDirection (300a,011f) vr=CS, vm=1, type=1C.
DcmFloatingPointSingle | HeadFixationAngle
| HeadFixationAngle (300a,0148) vr=FL, vm=1, type=3.
DRTIonWedgePositionSequence | IonWedgePositionSequence
| IonWedgePositionSequence (300a,03ac) vr=SQ, vm=1, type=1C.
DcmDecimalString | IsocenterPosition
| IsocenterPosition (300a,012c) vr=DS, vm=3, type=2C.
DcmDecimalString | KVP
| KVP (0018,0060) vr=DS, vm=1, type=1C.
DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsModule | LateralSpreadingDeviceSettingsSequence
| LateralSpreadingDeviceSettingsSequence (300a,0370) vr=SQ, vm=1, type=1C.
DcmFloatingPointSingle | MetersetRate
| MetersetRate (300a,035a) vr=FL, vm=1, type=3.
DcmDecimalString | NominalBeamEnergy
| NominalBeamEnergy (300a,0114) vr=DS, vm=1, type=1C.
DcmIntegerString | NumberOfPaintings
| NumberOfPaintings (300a,039a) vr=IS, vm=1, type=1C.
DcmIntegerString | NumberOfScanSpotPositions
| NumberOfScanSpotPositions (300a,0392) vr=IS, vm=1, type=1C.
DcmDecimalString | PatientSupportAngle
| PatientSupportAngle (300a,0122) vr=DS, vm=1, type=1C.
DcmCodeString | PatientSupportRotationDirection
| PatientSupportRotationDirection (300a,0123) vr=CS, vm=1, type=1C.
DRTRangeModulatorSettingsSequenceInRTIonBeamsModule | RangeModulatorSettingsSequence
| RangeModulatorSettingsSequence (300a,0380) vr=SQ, vm=1, type=1C.
DRTRangeShifterSettingsSequenceInRTIonBeamsModule | RangeShifterSettingsSequence
| RangeShifterSettingsSequence (300a,0360) vr=SQ, vm=1, type=1C.
DRTReferencedDoseReferenceSequenceInRTIonBeamsModule | ReferencedDoseReferenceSequence
| ReferencedDoseReferenceSequence (300c,0050) vr=SQ, vm=1, type=3.
DcmFloatingPointSingle | ScanSpotMetersetWeights
| ScanSpotMetersetWeights (300a,0396) vr=FL, vm=1-n, type=1C.
DcmFloatingPointSingle | ScanSpotPositionMap
| ScanSpotPositionMap (300a,0394) vr=FL, vm=1-n, type=1C.
DcmCodeString | ScanSpotReorderingAllowed
| ScanSpotReorderingAllowed (300a,0395) vr=CS, vm=1, type=3.
DcmShortString | ScanSpotTuneID
| ScanSpotTuneID (300a,0390) vr=SH, vm=1, type=1C.
DcmFloatingPointSingle | ScanningSpotSize
| ScanningSpotSize (300a,0398) vr=FL, vm=2, type=3.
DcmFloatingPointSingle | SnoutPosition
| SnoutPosition (300a,030d) vr=FL, vm=1, type=2C.
DcmDecimalString | SurfaceEntryPoint
| SurfaceEntryPoint (300a,012e) vr=DS, vm=3, type=3.
DcmDecimalString | TableTopLateralPosition
| TableTopLateralPosition (300a,012a) vr=DS, vm=1, type=2C.
DcmDecimalString | TableTopLongitudinalPosition
| TableTopLongitudinalPosition (300a,0129) vr=DS, vm=1, type=2C.
DcmFloatingPointSingle | TableTopPitchAngle
| TableTopPitchAngle (300a,0140) vr=FL, vm=1, type=2C.
DcmCodeString | TableTopPitchRotationDirection
| TableTopPitchRotationDirection (300a,0142) vr=CS, vm=1, type=2C.
DcmFloatingPointSingle | TableTopRollAngle
| TableTopRollAngle (300a,0144) vr=FL, vm=1, type=2C.
DcmCodeString | TableTopRollRotationDirection
| TableTopRollRotationDirection (300a,0146) vr=CS, vm=1, type=2C.
DcmDecimalString | TableTopVerticalPosition
| TableTopVerticalPosition (300a,0128) vr=DS, vm=1, type=2C.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTIonControlPointSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTIonControlPointSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getBeamLimitingDeviceAngle() [1/2]

OFCondition DRTIonControlPointSequence::Item::getBeamLimitingDeviceAngle | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDeviceAngle() [2/2]

OFCondition DRTIonControlPointSequence::Item::getBeamLimitingDeviceAngle | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDevicePositionSequence() [1/2]

DRTBeamLimitingDevicePositionSequence& DRTIonControlPointSequence::Item::getBeamLimitingDevicePositionSequence | ( |  | ) |
| inline

get BeamLimitingDevicePositionSequence (300a,011a)

Returns
  reference to sequence element

## ◆ getBeamLimitingDevicePositionSequence() [2/2]

const DRTBeamLimitingDevicePositionSequence& DRTIonControlPointSequence::Item::getBeamLimitingDevicePositionSequence | ( |  | ) | const
| inline

get BeamLimitingDevicePositionSequence (300a,011a)

Returns
  const reference to sequence element

## ◆ getBeamLimitingDeviceRotationDirection()

OFCondition DRTIonControlPointSequence::Item::getBeamLimitingDeviceRotationDirection | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamLimitingDeviceRotationDirection (300a,0121)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChairHeadFramePosition() [1/2]

OFCondition DRTIonControlPointSequence::Item::getChairHeadFramePosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ChairHeadFramePosition (300a,0151)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChairHeadFramePosition() [2/2]

OFCondition DRTIonControlPointSequence::Item::getChairHeadFramePosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ChairHeadFramePosition (300a,0151)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointIndex() [1/2]

OFCondition DRTIonControlPointSequence::Item::getControlPointIndex | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ControlPointIndex (300a,0112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointIndex() [2/2]

OFCondition DRTIonControlPointSequence::Item::getControlPointIndex | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ControlPointIndex (300a,0112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCumulativeMetersetWeight() [1/2]

OFCondition DRTIonControlPointSequence::Item::getCumulativeMetersetWeight | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CumulativeMetersetWeight (300a,0134)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCumulativeMetersetWeight() [2/2]

OFCondition DRTIonControlPointSequence::Item::getCumulativeMetersetWeight | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CumulativeMetersetWeight (300a,0134)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getExternalContourEntryPoint()

OFCondition DRTIonControlPointSequence::Item::getExternalContourEntryPoint | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ExternalContourEntryPoint (300a,0133)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryAngle() [1/2]

OFCondition DRTIonControlPointSequence::Item::getGantryAngle | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get GantryAngle (300a,011e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryAngle() [2/2]

OFCondition DRTIonControlPointSequence::Item::getGantryAngle | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get GantryAngle (300a,011e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryPitchAngle()

OFCondition DRTIonControlPointSequence::Item::getGantryPitchAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get GantryPitchAngle (300a,014a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryPitchRotationDirection()

OFCondition DRTIonControlPointSequence::Item::getGantryPitchRotationDirection | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get GantryPitchRotationDirection (300a,014c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryRotationDirection()

OFCondition DRTIonControlPointSequence::Item::getGantryRotationDirection | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get GantryRotationDirection (300a,011f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getHeadFixationAngle()

OFCondition DRTIonControlPointSequence::Item::getHeadFixationAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get HeadFixationAngle (300a,0148)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIonWedgePositionSequence() [1/2]

DRTIonWedgePositionSequence& DRTIonControlPointSequence::Item::getIonWedgePositionSequence | ( |  | ) |
| inline

get IonWedgePositionSequence (300a,03ac)

Returns
  reference to sequence element

## ◆ getIonWedgePositionSequence() [2/2]

const DRTIonWedgePositionSequence& DRTIonControlPointSequence::Item::getIonWedgePositionSequence | ( |  | ) | const
| inline

get IonWedgePositionSequence (300a,03ac)

Returns
  const reference to sequence element

## ◆ getIsocenterPosition() [1/3]

OFCondition DRTIonControlPointSequence::Item::getIsocenterPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get IsocenterPosition (300a,012c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterPosition() [2/3]

OFCondition DRTIonControlPointSequence::Item::getIsocenterPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get IsocenterPosition (300a,012c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterPosition() [3/3]

OFCondition DRTIonControlPointSequence::Item::getIsocenterPosition | ( | OFVector< Float64 > & | value | ) | const

get IsocenterPosition (300a,012c)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getKVP() [1/2]

OFCondition DRTIonControlPointSequence::Item::getKVP | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get KVP (0018,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getKVP() [2/2]

OFCondition DRTIonControlPointSequence::Item::getKVP | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get KVP (0018,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLateralSpreadingDeviceSettingsSequence() [1/2]

DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsModule& DRTIonControlPointSequence::Item::getLateralSpreadingDeviceSettingsSequence | ( |  | ) |
| inline

get LateralSpreadingDeviceSettingsSequence (300a,0370)

Returns
  reference to sequence element

## ◆ getLateralSpreadingDeviceSettingsSequence() [2/2]

const DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsModule& DRTIonControlPointSequence::Item::getLateralSpreadingDeviceSettingsSequence | ( |  | ) | const
| inline

get LateralSpreadingDeviceSettingsSequence (300a,0370)

Returns
  const reference to sequence element

## ◆ getMetersetRate()

OFCondition DRTIonControlPointSequence::Item::getMetersetRate | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get MetersetRate (300a,035a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNominalBeamEnergy() [1/2]

OFCondition DRTIonControlPointSequence::Item::getNominalBeamEnergy | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NominalBeamEnergy (300a,0114)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNominalBeamEnergy() [2/2]

OFCondition DRTIonControlPointSequence::Item::getNominalBeamEnergy | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NominalBeamEnergy (300a,0114)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfPaintings() [1/2]

OFCondition DRTIonControlPointSequence::Item::getNumberOfPaintings | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfPaintings (300a,039a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfPaintings() [2/2]

OFCondition DRTIonControlPointSequence::Item::getNumberOfPaintings | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfPaintings (300a,039a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfScanSpotPositions() [1/2]

OFCondition DRTIonControlPointSequence::Item::getNumberOfScanSpotPositions | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfScanSpotPositions (300a,0392)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfScanSpotPositions() [2/2]

OFCondition DRTIonControlPointSequence::Item::getNumberOfScanSpotPositions | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfScanSpotPositions (300a,0392)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAngle() [1/2]

OFCondition DRTIonControlPointSequence::Item::getPatientSupportAngle | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PatientSupportAngle (300a,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAngle() [2/2]

OFCondition DRTIonControlPointSequence::Item::getPatientSupportAngle | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PatientSupportAngle (300a,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportRotationDirection()

OFCondition DRTIonControlPointSequence::Item::getPatientSupportRotationDirection | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PatientSupportRotationDirection (300a,0123)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRangeModulatorSettingsSequence() [1/2]

DRTRangeModulatorSettingsSequenceInRTIonBeamsModule& DRTIonControlPointSequence::Item::getRangeModulatorSettingsSequence | ( |  | ) |
| inline

get RangeModulatorSettingsSequence (300a,0380)

Returns
  reference to sequence element

## ◆ getRangeModulatorSettingsSequence() [2/2]

const DRTRangeModulatorSettingsSequenceInRTIonBeamsModule& DRTIonControlPointSequence::Item::getRangeModulatorSettingsSequence | ( |  | ) | const
| inline

get RangeModulatorSettingsSequence (300a,0380)

Returns
  const reference to sequence element

## ◆ getRangeShifterSettingsSequence() [1/2]

DRTRangeShifterSettingsSequenceInRTIonBeamsModule& DRTIonControlPointSequence::Item::getRangeShifterSettingsSequence | ( |  | ) |
| inline

get RangeShifterSettingsSequence (300a,0360)

Returns
  reference to sequence element

## ◆ getRangeShifterSettingsSequence() [2/2]

const DRTRangeShifterSettingsSequenceInRTIonBeamsModule& DRTIonControlPointSequence::Item::getRangeShifterSettingsSequence | ( |  | ) | const
| inline

get RangeShifterSettingsSequence (300a,0360)

Returns
  const reference to sequence element

## ◆ getReferencedDoseReferenceSequence() [1/2]

DRTReferencedDoseReferenceSequenceInRTIonBeamsModule& DRTIonControlPointSequence::Item::getReferencedDoseReferenceSequence | ( |  | ) |
| inline

get ReferencedDoseReferenceSequence (300c,0050)

Returns
  reference to sequence element

## ◆ getReferencedDoseReferenceSequence() [2/2]

const DRTReferencedDoseReferenceSequenceInRTIonBeamsModule& DRTIonControlPointSequence::Item::getReferencedDoseReferenceSequence | ( |  | ) | const
| inline

get ReferencedDoseReferenceSequence (300c,0050)

Returns
  const reference to sequence element

## ◆ getScanningSpotSize()

OFCondition DRTIonControlPointSequence::Item::getScanningSpotSize | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ScanningSpotSize (300a,0398)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getScanSpotMetersetWeights()

OFCondition DRTIonControlPointSequence::Item::getScanSpotMetersetWeights | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ScanSpotMetersetWeights (300a,0396)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getScanSpotPositionMap()

OFCondition DRTIonControlPointSequence::Item::getScanSpotPositionMap | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ScanSpotPositionMap (300a,0394)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getScanSpotReorderingAllowed()

OFCondition DRTIonControlPointSequence::Item::getScanSpotReorderingAllowed | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ScanSpotReorderingAllowed (300a,0395)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getScanSpotTuneID()

OFCondition DRTIonControlPointSequence::Item::getScanSpotTuneID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ScanSpotTuneID (300a,0390)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSnoutPosition()

OFCondition DRTIonControlPointSequence::Item::getSnoutPosition | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SnoutPosition (300a,030d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSurfaceEntryPoint() [1/3]

OFCondition DRTIonControlPointSequence::Item::getSurfaceEntryPoint | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SurfaceEntryPoint (300a,012e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSurfaceEntryPoint() [2/3]

OFCondition DRTIonControlPointSequence::Item::getSurfaceEntryPoint | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SurfaceEntryPoint (300a,012e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSurfaceEntryPoint() [3/3]

OFCondition DRTIonControlPointSequence::Item::getSurfaceEntryPoint | ( | OFVector< Float64 > & | value | ) | const

get SurfaceEntryPoint (300a,012e)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralPosition() [1/2]

OFCondition DRTIonControlPointSequence::Item::getTableTopLateralPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopLateralPosition (300a,012a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralPosition() [2/2]

OFCondition DRTIonControlPointSequence::Item::getTableTopLateralPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopLateralPosition (300a,012a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalPosition() [1/2]

OFCondition DRTIonControlPointSequence::Item::getTableTopLongitudinalPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopLongitudinalPosition (300a,0129)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalPosition() [2/2]

OFCondition DRTIonControlPointSequence::Item::getTableTopLongitudinalPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopLongitudinalPosition (300a,0129)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopPitchAngle()

OFCondition DRTIonControlPointSequence::Item::getTableTopPitchAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopPitchAngle (300a,0140)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopPitchRotationDirection()

OFCondition DRTIonControlPointSequence::Item::getTableTopPitchRotationDirection | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopPitchRotationDirection (300a,0142)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopRollAngle()

OFCondition DRTIonControlPointSequence::Item::getTableTopRollAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopRollAngle (300a,0144)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopRollRotationDirection()

OFCondition DRTIonControlPointSequence::Item::getTableTopRollRotationDirection | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopRollRotationDirection (300a,0146)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalPosition() [1/2]

OFCondition DRTIonControlPointSequence::Item::getTableTopVerticalPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopVerticalPosition (300a,0128)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalPosition() [2/2]

OFCondition DRTIonControlPointSequence::Item::getTableTopVerticalPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopVerticalPosition (300a,0128)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTIonControlPointSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTIonControlPointSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTIonControlPointSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTIonControlPointSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamLimitingDeviceAngle()

OFCondition DRTIonControlPointSequence::Item::setBeamLimitingDeviceAngle | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamLimitingDeviceRotationDirection()

OFCondition DRTIonControlPointSequence::Item::setBeamLimitingDeviceRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamLimitingDeviceRotationDirection (300a,0121)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setChairHeadFramePosition()

OFCondition DRTIonControlPointSequence::Item::setChairHeadFramePosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ChairHeadFramePosition (300a,0151)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setControlPointIndex()

OFCondition DRTIonControlPointSequence::Item::setControlPointIndex | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ControlPointIndex (300a,0112)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCumulativeMetersetWeight()

OFCondition DRTIonControlPointSequence::Item::setCumulativeMetersetWeight | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CumulativeMetersetWeight (300a,0134)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setExternalContourEntryPoint()

OFCondition DRTIonControlPointSequence::Item::setExternalContourEntryPoint | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set ExternalContourEntryPoint (300a,0133)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryAngle()

OFCondition DRTIonControlPointSequence::Item::setGantryAngle | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set GantryAngle (300a,011e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryPitchAngle()

OFCondition DRTIonControlPointSequence::Item::setGantryPitchAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set GantryPitchAngle (300a,014a)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryPitchRotationDirection()

OFCondition DRTIonControlPointSequence::Item::setGantryPitchRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set GantryPitchRotationDirection (300a,014c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryRotationDirection()

OFCondition DRTIonControlPointSequence::Item::setGantryRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set GantryRotationDirection (300a,011f)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setHeadFixationAngle()

OFCondition DRTIonControlPointSequence::Item::setHeadFixationAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set HeadFixationAngle (300a,0148)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setIsocenterPosition()

OFCondition DRTIonControlPointSequence::Item::setIsocenterPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set IsocenterPosition (300a,012c)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setKVP()

OFCondition DRTIonControlPointSequence::Item::setKVP | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set KVP (0018,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMetersetRate()

OFCondition DRTIonControlPointSequence::Item::setMetersetRate | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set MetersetRate (300a,035a)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNominalBeamEnergy()

OFCondition DRTIonControlPointSequence::Item::setNominalBeamEnergy | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NominalBeamEnergy (300a,0114)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfPaintings()

OFCondition DRTIonControlPointSequence::Item::setNumberOfPaintings | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfPaintings (300a,039a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfScanSpotPositions()

OFCondition DRTIonControlPointSequence::Item::setNumberOfScanSpotPositions | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfScanSpotPositions (300a,0392)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportAngle()

OFCondition DRTIonControlPointSequence::Item::setPatientSupportAngle | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PatientSupportAngle (300a,0122)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportRotationDirection()

OFCondition DRTIonControlPointSequence::Item::setPatientSupportRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PatientSupportRotationDirection (300a,0123)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setScanningSpotSize()

OFCondition DRTIonControlPointSequence::Item::setScanningSpotSize | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set ScanningSpotSize (300a,0398)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setScanSpotMetersetWeights()

OFCondition DRTIonControlPointSequence::Item::setScanSpotMetersetWeights | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set ScanSpotMetersetWeights (300a,0396)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setScanSpotPositionMap()

OFCondition DRTIonControlPointSequence::Item::setScanSpotPositionMap | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set ScanSpotPositionMap (300a,0394)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setScanSpotReorderingAllowed()

OFCondition DRTIonControlPointSequence::Item::setScanSpotReorderingAllowed | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ScanSpotReorderingAllowed (300a,0395)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setScanSpotTuneID()

OFCondition DRTIonControlPointSequence::Item::setScanSpotTuneID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ScanSpotTuneID (300a,0390)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSnoutPosition()

OFCondition DRTIonControlPointSequence::Item::setSnoutPosition | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set SnoutPosition (300a,030d)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSurfaceEntryPoint()

OFCondition DRTIonControlPointSequence::Item::setSurfaceEntryPoint | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SurfaceEntryPoint (300a,012e)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLateralPosition()

OFCondition DRTIonControlPointSequence::Item::setTableTopLateralPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopLateralPosition (300a,012a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLongitudinalPosition()

OFCondition DRTIonControlPointSequence::Item::setTableTopLongitudinalPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopLongitudinalPosition (300a,0129)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopPitchAngle()

OFCondition DRTIonControlPointSequence::Item::setTableTopPitchAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set TableTopPitchAngle (300a,0140)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopPitchRotationDirection()

OFCondition DRTIonControlPointSequence::Item::setTableTopPitchRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopPitchRotationDirection (300a,0142)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopRollAngle()

OFCondition DRTIonControlPointSequence::Item::setTableTopRollAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set TableTopRollAngle (300a,0144)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopRollRotationDirection()

OFCondition DRTIonControlPointSequence::Item::setTableTopRollRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopRollRotationDirection (300a,0146)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopVerticalPosition()

OFCondition DRTIonControlPointSequence::Item::setTableTopVerticalPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopVerticalPosition (300a,0128)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTIonControlPointSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drticps.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1